commit:     9bba8866c2494ca62273be220a18aee165e60aea
Author:     Jaco Kroon <jaco <AT> uls <DOT> co <DOT> za>
AuthorDate: Sun May  3 11:30:10 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Mon May  4 17:26:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9bba8866

net-misc/asterisk: version bumps

Switch to media-libs/libilbc for iLBC support.
Stop installing various scripts I provided a long time ago which are no
longer needed (tools exist that supercedes these now).
Drop samples IUSE.
Remove patches that's now upstreamed.

Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Jaco Kroon <jaco <AT> uls.co.za>
Bug: https://bugs.gentoo.org/720184
Closes: https://github.com/gentoo/gentoo/pull/15622
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-misc/asterisk/Manifest                |   2 +
 net-misc/asterisk/asterisk-13.33.0.ebuild | 296 +++++++++++++++++++++++++++++
 net-misc/asterisk/asterisk-16.10.0.ebuild | 301 ++++++++++++++++++++++++++++++
 3 files changed, 599 insertions(+)

diff --git a/net-misc/asterisk/Manifest b/net-misc/asterisk/Manifest
index 6a41581ef86..14846d5bc2c 100644
--- a/net-misc/asterisk/Manifest
+++ b/net-misc/asterisk/Manifest
@@ -1,5 +1,7 @@
 DIST asterisk-11.25.3.tar.gz 35134682 BLAKE2B 
9da24d5d6a674ab660edb103e5fc56ddfbcc58cd86166cc08cceb0598a63b51eae36133565e09a30ad11ff6623ba8945437dfb561d2916f68341d398540dabce
 SHA512 
9c0521d55e5b69663ea40066d52e397ba6c165a4b20cd0a1e5e375b9c0e5a6e4f37908e50b0b580e288dec9be252af9a8bce7bceb03ba029f902fb757e6311ed
 DIST asterisk-13.32.0.tar.gz 33652378 BLAKE2B 
c6b0ca0895b25526c135332966f33761b74a88dec4a7b0ff0fe40263640ee2fb928eca29e716fba3cc8e96c6e395e7c70c36f41def6a0d055baac2a5c7b8637a
 SHA512 
daafcd5d3544725e7a96bd467d998c4d74fd3c5d7e9d8fb4ce16e340ce09c502b1603e468e89c5a62b59282848b4ff0a43bdbcd75902cd11f6951d828511e841
+DIST asterisk-13.33.0.tar.gz 33683712 BLAKE2B 
ecfc122628c08e93fc389f111e1ee8ddcf3d27895437df9da5b83a6440c2135f9223a5605e0ef436e8585f8b023abba5b74680cac97f1700e1bc153872c1ed87
 SHA512 
b866a63cce7c289d32333b4b3b0a605c413b48fc7518976aa0768dd5c68894348d0de1c9bc7c56b73eb86b69e0fd9847d7226fa0f9e449f8ebb8a7118329db56
+DIST asterisk-16.10.0.tar.gz 27706766 BLAKE2B 
b8d7866fe3e8420ef5ce6ea5e016316f63e4f2e8904a79de69c4ddfb7aedcd00f09cfb414da43938af0771cdde387dcebfe716eb34e5ed1de3a30ff534459c7f
 SHA512 
254c582593cf6ec691649d995a8d73260d2e340ad6ae65f0af62f6b8c3ef59c4da6ad9172bc04cc29a907d1e8d2ef105ae2ae20190b30115d5d402423c8c08cb
 DIST asterisk-16.9.0.tar.gz 27674324 BLAKE2B 
991fb0146f5dea338a8c6ad98007e2ac1b182ac2ed7dbabd4143aa7f968dc353563ac4aba18bb07e9b0a705dabd1446319b06f4be284922a804d5c2dbddf6f7b
 SHA512 
b8101fa3cc6068230b6b9a28a558415e7104b9bc3a8c0c245af34e9839cf1eb287739a2142ad0227d2fef41e6d40a5c01128a0b44a7ecaae13a00767d0fa8ab9
 DIST gentoo-asterisk-patchset-3.17.tar.bz2 5074 BLAKE2B 
3c945e77b54b2449253acb9fcea8d289a7a3184729190622c14aff5557d36c93556efa83320fe4e7ae84021960c09f35ae9f997e8015706eef933aae2948309e
 SHA512 
37f86f3c699b2643afd8080391e817a282571694bb56e00efd0734918dbc33d6c12a2463dbc24667597420863b4f506870140fbb8ef3f1700124ef790ae7252d
 DIST gentoo-asterisk-patchset-4.08.tar.bz2 2176 BLAKE2B 
7f8c9b5fda855091e66b2534d2be23fb1616f565480459f71f766826e5deeeecb24899e2ee9eefe74323e892624d32ab954ec7e9be6a002431ff029fc13493ed
 SHA512 
365c1b8628882c48c279e1fd77d982e6d0820ba7d7122e97bb4988f875d7010caa956798c833c3b01d389004fa08a63a9de2c1b452c9e5701c6106e29fd8e9e1

diff --git a/net-misc/asterisk/asterisk-13.33.0.ebuild 
b/net-misc/asterisk/asterisk-13.33.0.ebuild
new file mode 100644
index 00000000000..c404fa5c5bd
--- /dev/null
+++ b/net-misc/asterisk/asterisk-13.33.0.ebuild
@@ -0,0 +1,296 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools linux-info systemd
+
+DESCRIPTION="Asterisk: A Modular Open Source PBX System"
+HOMEPAGE="https://www.asterisk.org/";
+SRC_URI="https://downloads.asterisk.org/pub/telephony/asterisk/releases/${P}.tar.gz
+       
https://downloads.uls.co.za/gentoo/asterisk/gentoo-asterisk-patchset-4.08.tar.bz2";
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+IUSE_VOICEMAIL_STORAGE="
+       +voicemail_storage_file
+       voicemail_storage_odbc
+       voicemail_storage_imap
+"
+IUSE="${IUSE_VOICEMAIL_STORAGE} alsa bluetooth calendar +caps cluster curl 
dahdi debug doc freetds gtalk http iconv ilbc ldap libedit libressl lua mysql 
newt odbc osplookup oss pjproject portaudio postgres radius selinux snmp span 
speex srtp +ssl static statsd syslog vorbis xmpp"
+IUSE_EXPAND="VOICEMAIL_STORAGE"
+REQUIRED_USE="gtalk? ( xmpp )
+       ^^ ( ${IUSE_VOICEMAIL_STORAGE/+/} )
+       voicemail_storage_odbc? ( odbc )
+"
+
+PATCHES=(
+       "${FILESDIR}/asterisk-historic-no-var-run-install.patch"
+)
+
+DEPEND="acct-user/asterisk
+       acct-group/asterisk
+       dev-db/sqlite:3
+       dev-libs/popt
+       dev-libs/jansson
+       dev-libs/libxml2:2
+       dev-libs/libxslt
+       sys-libs/ncurses:0=
+       sys-libs/zlib
+       alsa? ( media-libs/alsa-lib )
+       bluetooth? ( net-wireless/bluez:= )
+       calendar? (
+               net-libs/neon:=
+               dev-libs/libical:=
+               dev-libs/iksemel
+       )
+       caps? ( sys-libs/libcap )
+       cluster? ( sys-cluster/corosync )
+       curl? ( net-misc/curl )
+       dahdi? (
+               net-libs/libpri
+               net-misc/dahdi-tools
+       )
+       freetds? ( dev-db/freetds )
+       gtalk? ( dev-libs/iksemel )
+       http? ( dev-libs/gmime:2.6 )
+       iconv? ( virtual/libiconv )
+       ilbc? ( media-libs/libilbc )
+       ldap? ( net-nds/openldap )
+       libedit? ( dev-libs/libedit )
+       lua? ( dev-lang/lua:* )
+       mysql? ( dev-db/mysql-connector-c:= )
+       newt? ( dev-libs/newt )
+       odbc? ( dev-db/unixODBC )
+       osplookup? ( net-libs/osptoolkit )
+       pjproject? ( net-libs/pjproject )
+       portaudio? ( media-libs/portaudio )
+       postgres? ( dev-db/postgresql:* )
+       radius? ( net-dialup/freeradius-client )
+       snmp? ( net-analyzer/net-snmp:= )
+       span? ( media-libs/spandsp )
+       speex? (
+               media-libs/speex
+               media-libs/speexdsp
+       )
+       srtp? ( net-libs/libsrtp:0 )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:0= )
+       )
+       vorbis? ( media-libs/libvorbis )
+       voicemail_storage_imap? ( virtual/imap-c-client )
+       xmpp? ( dev-libs/iksemel )
+"
+
+RDEPEND="${DEPEND}
+       net-misc/asterisk-core-sounds
+       net-misc/asterisk-extra-sounds
+       net-misc/asterisk-moh-opsound
+       selinux? ( sec-policy/selinux-asterisk )
+       syslog? ( virtual/logger )"
+
+BDEPEND="virtual/pkgconfig"
+
+QA_DT_NEEDED="/usr/lib.*/libasteriskssl[.]so[.][0-9]\+"
+
+pkg_setup() {
+       CONFIG_CHECK="~!NF_CONNTRACK_SIP"
+       local WARNING_NF_CONNTRACK_SIP="SIP (NAT) connection tracking is 
enabled. Some users
+       have reported that this module dropped critical SIP packets in their 
deployments. You
+       may want to disable it if you see such problems."
+       check_extra_config
+}
+
+src_prepare() {
+       default
+       AT_M4DIR="autoconf third-party third-party/pjproject 
third-party/jansson" eautoreconf
+}
+
+function menuselect() {
+       menuselect/menuselect "$@" || die "menuselect $* failed."
+}
+
+src_configure() {
+       local vmst
+
+       econf \
+               --libdir="/usr/$(get_libdir)" \
+               --localstatedir="/var" \
+               --with-crypto \
+               --with-gsm=internal \
+               --with-popt \
+               --with-z \
+               --without-libedit \
+               $(use_with caps cap) \
+               $(use_with http gmime) \
+               $(use_with newt) \
+               $(use_with pjproject) \
+               $(use_with portaudio) \
+               $(use_with ssl)
+
+       # Blank out sounds/sounds.xml file to prevent
+       # asterisk from installing sounds files (we pull them in via
+       # asterisk-{core,extra}-sounds and asterisk-moh-opsound.
+       >"${S}"/sounds/sounds.xml
+
+       # That NATIVE_ARCH chatter really is quite bothersome
+       sed -i 's/NATIVE_ARCH=/NATIVE_ARCH=0/' build_tools/menuselect-deps || 
die "Unable to squelch noisy build system"
+
+       # Compile menuselect binary for optional components
+       emake NOISE_BUILD=yes menuselect.makeopts
+
+       # Disable BUILD_NATIVE (bug #667498)
+       menuselect --disable build_native menuselect.makeopts
+
+       # Broken functionality is forcibly disabled (bug #360143)
+       menuselect --disable chan_misdn menuselect.makeopts
+       menuselect --disable chan_ooh323 menuselect.makeopts
+
+       # Utility set is forcibly enabled (bug #358001)
+       menuselect --enable smsq menuselect.makeopts
+       menuselect --enable streamplayer menuselect.makeopts
+       menuselect --enable aelparse menuselect.makeopts
+       menuselect --enable astman menuselect.makeopts
+
+       # this is connected, otherwise it would not find
+       # ast_pktccops_gate_alloc symbol
+       menuselect --enable chan_mgcp menuselect.makeopts
+       menuselect --enable res_pktccops menuselect.makeopts
+
+       # SSL is forcibly enabled, IAX2 & DUNDI are expected to be available
+       menuselect --enable pbx_dundi menuselect.makeopts
+       menuselect --enable func_aes menuselect.makeopts
+       menuselect --enable chan_iax2 menuselect.makeopts
+
+       # SQlite3 is now the main database backend, enable related features
+       menuselect --enable cdr_sqlite3_custom menuselect.makeopts
+       menuselect --enable cel_sqlite3_custom menuselect.makeopts
+
+       # The others are based on USE-flag settings
+       use_select() {
+               local state=$(use "$1" && echo enable || echo disable)
+               shift # remove use from parameters
+
+               while [[ -n $1 ]]; do
+                       menuselect --${state} "$1" menuselect.makeopts
+                       shift
+               done
+       }
+
+       use_select alsa         chan_alsa
+       use_select bluetooth    chan_mobile
+       use_select calendar     res_calendar 
res_calendar_{caldav,ews,exchange,icalendar}
+       use_select cluster      res_corosync
+       use_select curl         func_curl res_config_curl res_curl
+       use_select dahdi        app_dahdiras app_meetme chan_dahdi codec_dahdi 
res_timing_dahdi
+       use_select freetds      {cdr,cel}_tds
+       use_select gtalk        chan_motif
+       use_select http         res_http_post
+       use_select iconv        func_iconv
+       use_select ilbc         codec_ilbc format_ilbc
+       use_select ldap         res_config_ldap
+       use_select lua          pbx_lua
+       use_select mysql        app_mysql cdr_mysql res_config_mysql
+       use_select odbc         cdr_adaptive_odbc res_config_odbc 
{cdr,cel,res,func}_odbc
+       use_select osplookup    app_osplookup
+       use_select oss          chan_oss
+       use_select postgres     {cdr,cel}_pgsql res_config_pgsql
+       use_select radius       {cdr,cel}_radius
+       use_select snmp         res_snmp
+       use_select span         res_fax_spandsp
+       use_select speex        {codec,func}_speex
+       use_select srtp         res_srtp
+       use_select statsd       res_statsd res_{endpoint,chan}_stats
+       use_select syslog       cdr_syslog
+       use_select vorbis       format_ogg_vorbis
+       use_select xmpp         res_xmpp
+
+       # Voicemail storage ...
+       for vmst in ${IUSE_VOICEMAIL_STORAGE/+/}; do
+               if use ${vmst}; then
+                       menuselect --enable $(echo ${vmst##*_} | tr '[:lower:]' 
'[:upper:]')_STORAGE menuselect.makeopts
+               fi
+       done
+
+       if use debug; then
+               for o in DONT_OPTIMIZE DEBUG_THREADS BETTER_BACKTRACES; do
+                       menuselect --enable $o menuselect.makeopts
+               done
+       fi
+}
+
+src_compile() {
+       emake ASTCFLAGS="${CFLAGS}" ASTLDFLAGS="${LDFLAGS}" NOISY_BUILD=yes
+}
+
+src_install() {
+       local d
+
+       mkdir -p "${ED}/usr/$(get_libdir)/pkgconfig" || die
+       emake DESTDIR="${ED}" NOISY_BUILD=yes install
+
+       if use radius; then
+               insinto /etc/radiusclient/
+               doins contrib/dictionary.digium
+       fi
+       diropts -m 0750 -o root -g asterisk
+       keepdir /etc/asterisk
+       emake NOISY_BUILD=yes DESTDIR="${ED}" CONFIG_SRC=configs/samples 
CONFIG_EXTEN=.sample install-configs
+       for conffile in "${ED}/etc/asterisk/"*
+       do
+               fowners root:root "${conffile#${ED}}"
+               fperms 0644 "${conffile#${ED}}"
+       done
+
+       # keep directories
+       diropts -m 0750 -o asterisk -g root
+       keepdir /var/lib/asterisk
+       keepdir /var/spool/asterisk
+       keepdir 
/var/spool/asterisk/{system,tmp,meetme,monitor,dictate,voicemail,recording}
+       diropts -m 0750 -o asterisk -g asterisk
+       keepdir /var/log/asterisk/{cdr-csv,cdr-custom}
+
+       newinitd "${FILESDIR}"/initd-13.32.0-r1 asterisk
+       newconfd "${FILESDIR}"/confd-13.32.0 asterisk
+
+       systemd_dounit "${FILESDIR}"/asterisk.service
+       systemd_newtmpfilesd "${FILESDIR}"/asterisk.tmpfiles.conf asterisk.conf
+       systemd_install_serviced "${FILESDIR}"/asterisk.service.conf
+
+       # Reset diropts else dodoc uses it for doc installations.
+       diropts -m0755
+
+       # install the upgrade documentation
+       dodoc UPGRADE* BUGS CREDITS
+
+       # install extra documentation
+       if use doc; then
+               dodoc doc/*.txt
+               dodoc doc/*.pdf
+       fi
+
+       # install logrotate snippet; bug #329281
+       #
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}/1.6.2/asterisk.logrotate4" asterisk
+
+       # Asterisk installs a few folders that's empty by design,
+       # but still required.  This finds them, and marks them for
+       # portage.
+       for d in $(find "${ED}"/var -type d -empty || die "Find failed."); do
+               keepdir "${d#${ED}}"
+       done
+}
+
+pkg_postinst() {
+       if [ -z "${REPLACING_VERSIONS}" ]; then
+               elog "Asterisk Wiki: https://wiki.asterisk.org/wiki/";
+               elog "Gentoo VoIP IRC Channel: #gentoo-voip @ irc.freenode.net"
+       elif [ "$(ver_cut 1 "${REPLACING_VERSIONS}")" != "$(ver_cut 1)" ]; then
+               elog "You are updating from Asterisk $(ver_cut 1 
"${REPLACING_VERSIONS}") upgrade document:"
+               elog 
"https://wiki.asterisk.org/wiki/display/AST/Upgrading+to+Asterisk+$(ver_cut 1)"
+               elog "Gentoo VoIP IRC Channel: #gentoo-voip @ irc.freenode.net"
+       fi
+}

diff --git a/net-misc/asterisk/asterisk-16.10.0.ebuild 
b/net-misc/asterisk/asterisk-16.10.0.ebuild
new file mode 100644
index 00000000000..a9d9c1eba0a
--- /dev/null
+++ b/net-misc/asterisk/asterisk-16.10.0.ebuild
@@ -0,0 +1,301 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools linux-info systemd
+
+DESCRIPTION="Asterisk: A Modular Open Source PBX System"
+HOMEPAGE="https://www.asterisk.org/";
+SRC_URI="https://downloads.asterisk.org/pub/telephony/asterisk/releases/${P}.tar.gz
+       
https://downloads.uls.co.za/gentoo/asterisk/gentoo-asterisk-patchset-4.08.tar.bz2";
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+IUSE_VOICEMAIL_STORAGE="
+       +voicemail_storage_file
+       voicemail_storage_odbc
+       voicemail_storage_imap
+"
+IUSE="${IUSE_VOICEMAIL_STORAGE} alsa bluetooth calendar +caps cluster curl 
dahdi debug doc freetds gtalk http iconv ilbc ldap libressl lua mysql newt odbc 
osplookup oss pjproject portaudio postgres radius selinux snmp span speex srtp 
+ssl static statsd syslog unbound vorbis xmpp"
+IUSE_EXPAND="VOICEMAIL_STORAGE"
+REQUIRED_USE="gtalk? ( xmpp )
+       ^^ ( ${IUSE_VOICEMAIL_STORAGE/+/} )
+       voicemail_storage_odbc? ( odbc )
+"
+
+PATCHES=(
+       "${FILESDIR}/asterisk-historic-no-var-run-install.patch"
+)
+
+DEPEND="acct-user/asterisk
+       acct-group/asterisk
+       dev-db/sqlite:3
+       dev-libs/popt
+       >=dev-libs/jansson-2.11
+       dev-libs/libedit
+       dev-libs/libxml2:2
+       dev-libs/libxslt
+       sys-apps/util-linux
+       sys-libs/ncurses:0=
+       sys-libs/zlib
+       alsa? ( media-libs/alsa-lib )
+       bluetooth? ( net-wireless/bluez:= )
+       calendar? (
+               net-libs/neon:=
+               dev-libs/libical:=
+               dev-libs/iksemel
+       )
+       caps? ( sys-libs/libcap )
+       cluster? ( sys-cluster/corosync )
+       curl? ( net-misc/curl )
+       dahdi? (
+               net-libs/libpri
+               net-misc/dahdi-tools
+       )
+       freetds? ( dev-db/freetds )
+       gtalk? ( dev-libs/iksemel )
+       http? ( dev-libs/gmime:2.6 )
+       iconv? ( virtual/libiconv )
+       ilbc? ( media-libs/libilbc )
+       ldap? ( net-nds/openldap )
+       lua? ( dev-lang/lua:* )
+       mysql? ( dev-db/mysql-connector-c:= )
+       newt? ( dev-libs/newt )
+       odbc? ( dev-db/unixODBC )
+       osplookup? ( net-libs/osptoolkit )
+       pjproject? ( >=net-libs/pjproject-2.9 )
+       portaudio? ( media-libs/portaudio )
+       postgres? ( dev-db/postgresql:* )
+       radius? ( net-dialup/freeradius-client )
+       snmp? ( net-analyzer/net-snmp:= )
+       span? ( media-libs/spandsp )
+       speex? (
+               media-libs/speex
+               media-libs/speexdsp
+       )
+       srtp? ( net-libs/libsrtp:0 )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:0= )
+       )
+       unbound? ( net-dns/unbound )
+       vorbis? ( media-libs/libvorbis )
+       voicemail_storage_imap? ( virtual/imap-c-client )
+       xmpp? ( dev-libs/iksemel )
+"
+
+RDEPEND="${DEPEND}
+       net-misc/asterisk-core-sounds
+       net-misc/asterisk-extra-sounds
+       net-misc/asterisk-moh-opsound
+       selinux? ( sec-policy/selinux-asterisk )
+       syslog? ( virtual/logger )"
+
+BDEPEND="virtual/pkgconfig"
+
+QA_DT_NEEDED="/usr/lib.*/libasteriskssl[.]so[.][0-9]\+"
+
+pkg_setup() {
+       CONFIG_CHECK="~!NF_CONNTRACK_SIP"
+       local WARNING_NF_CONNTRACK_SIP="SIP (NAT) connection tracking is 
enabled. Some users
+       have reported that this module dropped critical SIP packets in their 
deployments. You
+       may want to disable it if you see such problems."
+       check_extra_config
+}
+
+src_prepare() {
+       default
+       AT_M4DIR="autoconf third-party third-party/pjproject 
third-party/jansson" eautoreconf
+}
+
+function menuselect() {
+       menuselect/menuselect "$@" || die "menuselect $* failed."
+}
+
+src_configure() {
+       local vmst
+
+       econf \
+               --libdir="/usr/$(get_libdir)" \
+               --localstatedir="/var" \
+               --with-crypto \
+               --with-gsm=internal \
+               --with-popt \
+               --with-z \
+               --with-libedit \
+               --without-jansson-bundled \
+               --without-pjproject-bundled \
+               $(use_with caps cap) \
+               $(use_with http gmime) \
+               $(use_with newt) \
+               $(use_with pjproject) \
+               $(use_with portaudio) \
+               $(use_with ssl) \
+               $(use_with unbound)
+
+       # Blank out sounds/sounds.xml file to prevent
+       # asterisk from installing sounds files (we pull them in via
+       # asterisk-{core,extra}-sounds and asterisk-moh-opsound.
+       >"${S}"/sounds/sounds.xml
+
+       # That NATIVE_ARCH chatter really is quite bothersome
+       sed -i 's/NATIVE_ARCH=/NATIVE_ARCH=0/' build_tools/menuselect-deps || 
die "Unable to squelch noisy build system"
+
+       # Compile menuselect binary for optional components
+       emake NOISY_BUILD=yes menuselect.makeopts
+
+       # Disable BUILD_NATIVE (bug #667498)
+       menuselect --disable build_native menuselect.makeopts
+
+       # Broken functionality is forcibly disabled (bug #360143)
+       menuselect --disable chan_misdn menuselect.makeopts
+       menuselect --disable chan_ooh323 menuselect.makeopts
+
+       # Utility set is forcibly enabled (bug #358001)
+       menuselect --enable smsq menuselect.makeopts
+       menuselect --enable streamplayer menuselect.makeopts
+       menuselect --enable aelparse menuselect.makeopts
+       menuselect --enable astman menuselect.makeopts
+
+       # this is connected, otherwise it would not find
+       # ast_pktccops_gate_alloc symbol
+       menuselect --enable chan_mgcp menuselect.makeopts
+       menuselect --enable res_pktccops menuselect.makeopts
+
+       # SSL is forcibly enabled, IAX2 & DUNDI are expected to be available
+       menuselect --enable pbx_dundi menuselect.makeopts
+       menuselect --enable func_aes menuselect.makeopts
+       menuselect --enable chan_iax2 menuselect.makeopts
+
+       # SQlite3 is now the main database backend, enable related features
+       menuselect --enable cdr_sqlite3_custom menuselect.makeopts
+       menuselect --enable cel_sqlite3_custom menuselect.makeopts
+
+       # The others are based on USE-flag settings
+       use_select() {
+               local state=$(use "$1" && echo enable || echo disable)
+               shift # remove use from parameters
+
+               while [[ -n $1 ]]; do
+                       menuselect --${state} "$1" menuselect.makeopts
+                       shift
+               done
+       }
+
+       use_select alsa         chan_alsa
+       use_select bluetooth    chan_mobile
+       use_select calendar     res_calendar 
res_calendar_{caldav,ews,exchange,icalendar}
+       use_select cluster      res_corosync
+       use_select curl         func_curl res_config_curl res_curl
+       use_select dahdi        app_dahdiras app_meetme chan_dahdi codec_dahdi 
res_timing_dahdi
+       use_select freetds      {cdr,cel}_tds
+       use_select gtalk        chan_motif
+       use_select http         res_http_post
+       use_select iconv        func_iconv
+       use_select ilbc         codec_ilbc format_ilbc
+       use_select ldap         res_config_ldap
+       use_select lua          pbx_lua
+       use_select mysql        app_mysql cdr_mysql res_config_mysql
+       use_select odbc         cdr_adaptive_odbc res_config_odbc 
{cdr,cel,res,func}_odbc
+       use_select osplookup    app_osplookup
+       use_select oss          chan_oss
+       use_select postgres     {cdr,cel}_pgsql res_config_pgsql
+       use_select radius       {cdr,cel}_radius
+       use_select snmp         res_snmp
+       use_select span         res_fax_spandsp
+       use_select speex        {codec,func}_speex
+       use_select srtp         res_srtp
+       use_select statsd       res_statsd res_{endpoint,chan}_stats
+       use_select syslog       cdr_syslog
+       use_select vorbis       format_ogg_vorbis
+       use_select xmpp         res_xmpp
+
+       # Voicemail storage ...
+       for vmst in ${IUSE_VOICEMAIL_STORAGE/+/}; do
+               if use ${vmst}; then
+                       menuselect --enable $(echo ${vmst##*_} | tr '[:lower:]' 
'[:upper:]')_STORAGE menuselect.makeopts
+               fi
+       done
+
+       if use debug; then
+               for o in DONT_OPTIMIZE DEBUG_THREADS BETTER_BACKTRACES; do
+                       menuselect --enable "${o}" menuselect.makeopts
+               done
+       fi
+}
+
+src_compile() {
+       emake ASTCFLAGS="${CFLAGS}" ASTLDFLAGS="${LDFLAGS}" NOISY_BUILD=yes
+}
+
+src_install() {
+       local d
+
+       mkdir -p "${ED}/usr/$(get_libdir)/pkgconfig" || die
+       emake DESTDIR="${ED}" NOISY_BUILD=yes install
+
+       if use radius; then
+               insinto /etc/radiusclient/
+               doins contrib/dictionary.digium
+       fi
+       diropts -m 0750 -o root -g asterisk
+       keepdir /etc/asterisk
+       emake NOISY_BUILD=yes DESTDIR="${ED}" CONFIG_SRC=configs/samples 
CONFIG_EXTEN=.sample install-configs
+       for conffile in "${ED}/etc/asterisk/"*
+       do
+               fowners root:root "${conffile#${ED}}"
+               fperms 0644 "${conffile#${ED}}"
+       done
+
+       # keep directories
+       diropts -m 0750 -o asterisk -g root
+       keepdir /var/lib/asterisk
+       keepdir /var/spool/asterisk
+       keepdir 
/var/spool/asterisk/{system,tmp,meetme,monitor,dictate,voicemail,recording}
+       diropts -m 0750 -o asterisk -g asterisk
+       keepdir /var/log/asterisk/{cdr-csv,cdr-custom}
+
+       newinitd "${FILESDIR}"/initd-13.32.0-r1 asterisk
+       newconfd "${FILESDIR}"/confd-13.32.0 asterisk
+
+       systemd_dounit "${FILESDIR}"/asterisk.service
+       systemd_newtmpfilesd "${FILESDIR}"/asterisk.tmpfiles.conf asterisk.conf
+       systemd_install_serviced "${FILESDIR}"/asterisk.service.conf
+
+       # Reset diropts else dodoc uses it for doc installations.
+       diropts -m0755
+
+       # install the upgrade documentation
+       dodoc UPGRADE* BUGS CREDITS
+
+       # install extra documentation
+       if use doc; then
+               dodoc doc/*.txt
+               dodoc doc/*.pdf
+       fi
+
+       # install logrotate snippet; bug #329281
+       #
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}/1.6.2/asterisk.logrotate4" asterisk
+
+       # Asterisk installs a few folders that's empty by design,
+       # but still required.  This finds them, and marks them for
+       # portage.
+       for d in $(find "${ED}"/var -type d -empty || die "Find failed."); do
+               keepdir "${d#${ED}}"
+       done
+}
+
+pkg_postinst() {
+       if [ -z "${REPLACING_VERSIONS}" ]; then
+               elog "Asterisk Wiki: https://wiki.asterisk.org/wiki/";
+               elog "Gentoo VoIP IRC Channel: #gentoo-voip @ irc.freenode.net"
+       elif [ "$(ver_cut 1 "${REPLACING_VERSIONS}")" != "$(ver_cut 1)" ]; then
+               elog "You are updating from Asterisk $(ver_cut 1 
"${REPLACING_VERSIONS}") upgrade document:"
+               elog 
"https://wiki.asterisk.org/wiki/display/AST/Upgrading+to+Asterisk+$(ver_cut 1)"
+               elog "Gentoo VoIP IRC Channel: #gentoo-voip @ irc.freenode.net"
+       fi
+}

Reply via email to